• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
2

Latest Photoshop not compadible with my computer

Community Beginner ,
May 22, 2024 May 22, 2024

Copy link to clipboard

Copied

 I get a prompt that says, outdated driver, not enough V-Ram

Bug Unresolved
TOPICS
Windows

Views

71

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
2 Comments
Community Expert ,
May 22, 2024 May 22, 2024

Copy link to clipboard

Copied

Not only the latest release but also many preceding ones will require a better GPU.

 

Upgrading your GPU is generally a good idea. For reliability, choose a graphics card that has been released in the last 2-3 years. A minimum recommendation would be an RTX 3060 or its equivalent. Although I currently use an RTX 2060 and it performs well, there are arguments that a GTX 1660S is sufficient, but it's uncertain for how long. In my view, a safe option for the next few years would be the RTX 3060Ti.

Votes

Translate

Translate

Report

Report
Community Expert ,
May 22, 2024 May 22, 2024

Copy link to clipboard

Copied

LATEST

Indeed. The GT 440 has been unsupported for a very long time, so if you just saw this, you must have updated from a very old Photoshop version.

 

The GT 440 was released in 2011, and it only has DirectX feature level 11.0. The minimum requirement has been 12.0 for quite some time. DirectX feature level is the card's actual performance capabilities, what it can do. It's a hardware requirement and not something that can be updated.

Votes

Translate

Translate

Report

Report